------------------------------------------------------------------------
r1080 | pastamancer | 2008-12-08 17:40:57 +0000 (Mon, 08 Dec 2008) | 2 lines
Changed paths:
   A /tags/1.30000.2008120802 (from /trunk:1079)

Tagging as 1.30000.2008120802
Hopefully this gets packaged properly.
------------------------------------------------------------------------
r1073 | pastamancer | 2008-12-08 06:09:24 +0000 (Mon, 08 Dec 2008) | 2 lines
Changed paths:
   M /trunk/Grid.toc

Updated toc for version 1.30000.2008120801.

------------------------------------------------------------------------
r1050 | pastamancer | 2008-12-02 16:02:46 +0000 (Tue, 02 Dec 2008) | 2 lines
Changed paths:
   M /trunk/GridLocale-ruRU.lua

Really fix range checking for ruRU.

------------------------------------------------------------------------
r1043 | pastamancer | 2008-11-30 06:04:50 +0000 (Sun, 30 Nov 2008) | 1 line
Changed paths:
   M /trunk/GridLocale-ruRU.lua

ruRU range-check fix
------------------------------------------------------------------------
r1042 | pastamancer | 2008-11-24 18:54:25 +0000 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   M /trunk/GridLayoutLayouts.lua

Add DEATHKNIGHT to By Class w/Pets layout.

------------------------------------------------------------------------
r1040 | pastamancer | 2008-11-24 18:23:34 +0000 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Grid.toc

Update toc for version 1.30000.2008112401

------------------------------------------------------------------------
r1039 | pastamancer | 2008-11-24 18:16:13 +0000 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   M /trunk/GridStatusHealth.lua

Cleaned up a few ifs that weren't needed.

------------------------------------------------------------------------
r1038 | pastamancer | 2008-11-24 18:08:46 +0000 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   M /trunk/GridCore.lua

Only register '/grid' and not '/gr'.

------------------------------------------------------------------------
r1037 | pastamancer | 2008-11-22 23:07:12 +0000 (Sat, 22 Nov 2008) | 1 line
Changed paths:
   M /trunk/GridFrame.lua

Only try to set the frame alpha if color.a is a number.
------------------------------------------------------------------------
r1036 | pastamancer | 2008-11-22 23:05:26 +0000 (Sat, 22 Nov 2008) | 1 line
Changed paths:
   M /trunk/GridLayoutLayouts.lua

Add deathknights to the by class layout.
------------------------------------------------------------------------
r1035 | pastamancer | 2008-11-06 03:48:34 +0000 (Thu, 06 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Grid.toc
   A /trunk/GridLocale-esMX.lua (from /trunk/GridLocale-esES.lua:1033)

Add esMX locale based on esES locale.

------------------------------------------------------------------------
r1034 | pastamancer | 2008-11-05 21:55:37 +0000 (Wed, 05 Nov 2008) | 1 line
Changed paths:
   M /trunk/GridFrame.lua
   A /trunk/GridLocale-ruRU.lua

Restored ruRU locale and hopefully fixed range checking for ruRU clients in 3.0.3.
------------------------------------------------------------------------
r1033 | Viktor3b | 2008-11-01 17:18:51 +0000 (Sat, 01 Nov 2008) | 1 line
Changed paths:
   D /trunk/GridLocale-ruRU.lua


------------------------------------------------------------------------
r1032 | pastamancer | 2008-11-01 16:49:26 +0000 (Sat, 01 Nov 2008) | 1 line
Changed paths:
   M /trunk/GridStatusAuras.lua

send (de)buff duration information
------------------------------------------------------------------------
r1031 | pastamancer | 2008-11-01 15:35:33 +0000 (Sat, 01 Nov 2008) | 1 line
Changed paths:
   A /trunk/GridLocale-ruRU.lua (from /trunk/GridLocale-ruRU.lua:1027)

restored ruRU locale
------------------------------------------------------------------------
r1030 | Viktor3b | 2008-10-29 15:26:21 +0000 (Wed, 29 Oct 2008) | 1 line
Changed paths:
   D /trunk/GridLocale-ruRU.lua


------------------------------------------------------------------------
r1028 | pettigrow | 2008-10-21 03:40:58 +0000 (Tue, 21 Oct 2008) | 1 line
Changed paths:
   M /trunk/GridLocale-frFR.lua

frFR range fix.
------------------------------------------------------------------------
r1026 | pastamancer | 2008-10-20 18:30:38 +0000 (Mon, 20 Oct 2008) | 1 line
Changed paths:
   M /trunk/GridLocale-deDE.lua

possible fix for range-checking on deDE clients
------------------------------------------------------------------------
r1024 | pastamancer | 2008-10-18 11:05:03 +0000 (Sat, 18 Oct 2008) | 2 lines
Changed paths:
   M /trunk
   M /trunk/Grid.toc

Prepare for 1.30000.2008101802

------------------------------------------------------------------------
r1023 | pastamancer | 2008-10-18 09:09:43 +0000 (Sat, 18 Oct 2008) | 1 line
Changed paths:
   M /trunk/GridFrame.lua

Grid: added special case for when icon border size is 0.
------------------------------------------------------------------------
r1022 | pastamancer | 2008-10-18 07:27:47 +0000 (Sat, 18 Oct 2008) | 1 line
Changed paths:
   M /trunk/GridFrame.lua

Grid: whoops, fixed "attempt to index field 'db' (a nil value)" error
------------------------------------------------------------------------
r1020 | pastamancer | 2008-10-18 04:48:26 +0000 (Sat, 18 Oct 2008) | 1 line
Changed paths:
   M /trunk/Grid.toc

Grid: Update toc for 1.30000.2008101801 release.
------------------------------------------------------------------------
r1019 | pastamancer | 2008-10-17 19:05:00 +0000 (Fri, 17 Oct 2008) | 1 line
Changed paths:
   M /trunk/GridFrame.lua

Grid: untested but possible fix to icon border size.
------------------------------------------------------------------------
r1016 | pastamancer | 2008-10-16 23:40:27 +0000 (Thu, 16 Oct 2008) | 1 line
Changed paths:
   M /trunk/Grid.toc

Grid: Set a version in the toc (major.interface.date).
------------------------------------------------------------------------
r1015 | pastamancer | 2008-10-16 23:32:41 +0000 (Thu, 16 Oct 2008) | 1 line
Changed paths:
   M /trunk/Grid.toc
   M /trunk/GridStatus.lua

Grid: Updated for WotLK.
------------------------------------------------------------------------
r1014 | pastamancer | 2008-10-16 23:09:46 +0000 (Thu, 16 Oct 2008) | 1 line
Changed paths:
   M /trunk/libs

Grid: fixed externals
------------------------------------------------------------------------
r1013 | nevcairiel | 2008-10-02 12:30:19 +0000 (Thu, 02 Oct 2008) | 1 line
Changed paths:
   M /trunk/.pkgmeta

Fix .pkgmeta
------------------------------------------------------------------------
r1012 | root | 2008-09-30 15:57:42 +0000 (Tue, 30 Sep 2008) | 1 line
Changed paths:
   M /trunk/.pkgmeta

Hopefully fix .pkgmeta
------------------------------------------------------------------------
r1011 | root | 2008-09-29 22:08:34 +0000 (Mon, 29 Sep 2008) | 1 line
Changed paths:
   A /trunk/.pkgmeta
   M /trunk/libs

Facilitate WowAce-on-CurseForge transition
------------------------------------------------------------------------
r1009 | root | 2008-09-29 20:58:07 +0000 (Mon, 29 Sep 2008) | 1 line
Changed paths:
   D /tmp/trunk/Grid
   A /trunk (from /tmp/trunk/Grid:1008)

Importing old repo data under /trunk
------------------------------------------------------------------------
r988 | nightik | 2008-08-07 00:26:20 +0000 (Thu, 07 Aug 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/GridLocale-ruRU.lua

Grid: 
- added ruRU locale
------------------------------------------------------------------------
r964 | ananhaid | 2008-06-17 15:07:11 +0000 (Tue, 17 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: 
- zhCN update.
------------------------------------------------------------------------
r963 | pastamancer | 2008-06-17 14:13:13 +0000 (Tue, 17 Jun 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
* GridStatusAuras: Use GetSpellInfo to find the name of the 'Ghost' debuff.

------------------------------------------------------------------------
r962 | pastamancer | 2008-06-17 14:10:20 +0000 (Tue, 17 Jun 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid:
* GridStatusRange: disable 38 yard check if a 40 yard check is available.

------------------------------------------------------------------------
r961 | whitetooth | 2008-06-17 13:01:53 +0000 (Tue, 17 Jun 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: UnitInRange is 38 yards instead of 40 yards
------------------------------------------------------------------------
r960 | scorpion | 2008-06-17 08:31:50 +0000 (Tue, 17 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: 
- Update zhTW localization.
------------------------------------------------------------------------
r958 | sayclub | 2008-06-16 00:13:34 +0000 (Mon, 16 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r957 | pastamancer | 2008-06-15 03:59:18 +0000 (Sun, 15 Jun 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: register for (De)buff count changes.
------------------------------------------------------------------------
r956 | kunda | 2008-06-14 12:10:28 +0000 (Sat, 14 Jun 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: GridRange: options fix
------------------------------------------------------------------------
r954 | whitetooth | 2008-06-14 07:24:20 +0000 (Sat, 14 Jun 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: 
- GridRange: Added 40 yard check for all classes using UnitInRange
- GridStatusRange: Fixed text status, added text option
------------------------------------------------------------------------
r953 | pastamancer | 2008-06-13 00:32:47 +0000 (Fri, 13 Jun 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-esES.lua

Grid: fix esES translation for tooltip range scanning.
------------------------------------------------------------------------
r950 | pastamancer | 2008-06-10 17:40:55 +0000 (Tue, 10 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/GridLocale-esES.lua

Grid: Added esES translation by Nylian.

------------------------------------------------------------------------
r945 | pastamancer | 2008-06-05 16:28:03 +0000 (Thu, 05 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Added debuff_Ghost to text1 and text2 in the default statusmap.

------------------------------------------------------------------------
r941 | pastamancer | 2008-06-02 18:17:21 +0000 (Mon, 02 Jun 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid:
* GridLayout: added :FakeSize(width, height) which resizes the layout background to fit an arbitrarialy sized raid for simulation.

------------------------------------------------------------------------
r940 | Ghostar | 2008-06-02 14:41:32 +0000 (Mon, 02 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: 
- zhCN localization update
------------------------------------------------------------------------
r935 | Devfool | 2008-06-01 14:08:06 +0000 (Sun, 01 Jun 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-frFR.lua

Grid: frFR update
------------------------------------------------------------------------
r933 | scorpion | 2008-06-01 06:55:35 +0000 (Sun, 01 Jun 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: 
- Update zhTW localization.
------------------------------------------------------------------------
r932 | whitetooth | 2008-05-31 16:48:53 +0000 (Sat, 31 May 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Fixed error when stack is empty string
------------------------------------------------------------------------
r929 | sayclub | 2008-05-30 23:06:50 +0000 (Fri, 30 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r928 | whitetooth | 2008-05-30 19:45:47 +0000 (Fri, 30 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: Added options to toggle icon stack text and icon cooldown frame.

------------------------------------------------------------------------
r926 | whitetooth | 2008-05-29 17:27:49 +0000 (Thu, 29 May 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Fix for IconStackText not showing sometimes
------------------------------------------------------------------------
r920 | whitetooth | 2008-05-28 22:03:32 +0000 (Wed, 28 May 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Cosmetic tweaks and options for IconStackText
------------------------------------------------------------------------
r919 | whitetooth | 2008-05-28 20:39:11 +0000 (Wed, 28 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: 
- Fix for IconStackText not always showing
------------------------------------------------------------------------
r911 | pastamancer | 2008-05-28 17:27:18 +0000 (Wed, 28 May 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid:
* whitetooth, please do not change the API of GridFrameClass.

------------------------------------------------------------------------
r910 | pastamancer | 2008-05-28 16:51:41 +0000 (Wed, 28 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: GRID-9 fixed call to RestorePosition from StopMoveFrame when in combat.

------------------------------------------------------------------------
r909 | whitetooth | 2008-05-28 14:13:16 +0000 (Wed, 28 May 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: 
- Fixed Text2 font appearance
- IconStackText now easier to read
- Hide IconStackText and IconCD in ClearIndicator
------------------------------------------------------------------------
r901 | whitetooth | 2008-05-28 09:38:50 +0000 (Wed, 28 May 2008) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: 
- Added 3 arguments start, duration, stack to APIGridStatus:SendStatusGained(name, status, priority, range, color, text,  value, maxValue, texture, start, duration, stack).
- Added stack count text to bottom right corner of center icon, reads from stack argument.
- Enable center icon cooldown frame, reads from start, duration arguments.
- GridStatusAuras to support new stack argument.
------------------------------------------------------------------------
r834 | kunda | 2008-05-20 22:23:42 +0000 (Tue, 20 May 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE update
------------------------------------------------------------------------
r818 | scorpion | 2008-05-15 08:20:39 +0000 (Thu, 15 May 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: 
- Updated zhTW localization


------------------------------------------------------------------------
r817 | ananhaid | 2008-05-14 01:07:43 +0000 (Wed, 14 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: 
- zhCN update.(Punctuation adjustment...)
------------------------------------------------------------------------
r812 | pastamancer | 2008-05-11 16:04:59 +0000 (Sun, 11 May 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: revert r73447.  Next time ask before adding things to Grid.
------------------------------------------------------------------------
r809 | schelli | 2008-05-11 11:13:48 +0000 (Sun, 11 May 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: added grid tooltip and fubar text support
------------------------------------------------------------------------
r787 | kunda | 2008-04-28 21:25:18 +0000 (Mon, 28 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE fix 'Ghost'
------------------------------------------------------------------------
r786 | cronan | 2008-04-28 17:20:31 +0000 (Mon, 28 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: 
- Set IconText layer to OVERLAY. (However, IconText has nothing to display now)
------------------------------------------------------------------------
r780 | kunda | 2008-04-26 08:14:13 +0000 (Sat, 26 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE update
------------------------------------------------------------------------
r777 | pastamancer | 2008-04-26 06:44:03 +0000 (Sat, 26 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: fixed leaked global 'font'

------------------------------------------------------------------------
r776 | sayclub | 2008-04-26 01:35:28 +0000 (Sat, 26 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: koKR Update.
------------------------------------------------------------------------
r775 | pastamancer | 2008-04-26 00:24:10 +0000 (Sat, 26 Apr 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid:
* GridFrame: the center icon will hide the background if the color contains the key 'ignore' with a true value.  Experimental and subject to change!
* GridLayout: use LSM to offer different borders for the layout frame.

------------------------------------------------------------------------
r771 | pastamancer | 2008-04-25 14:50:51 +0000 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: moved library check to Grid:OnEnable where it belongs.

------------------------------------------------------------------------
r770 | kunda | 2008-04-25 14:00:53 +0000 (Fri, 25 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE update
------------------------------------------------------------------------
r765 | isler | 2008-04-25 08:56:41 +0000 (Fri, 25 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: zhCN update
------------------------------------------------------------------------
r764 | yleaf | 2008-04-25 05:16:27 +0000 (Fri, 25 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: fix Note-zhCN in .toc
------------------------------------------------------------------------
r763 | sayclub | 2008-04-25 02:56:34 +0000 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r762 | pastamancer | 2008-04-25 02:25:24 +0000 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: clicking on the fubar plugin will toggle the waterfall config window.

------------------------------------------------------------------------
r761 | pastamancer | 2008-04-25 02:12:03 +0000 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: removed menu for configuring the health bar indicator.

------------------------------------------------------------------------
r760 | pastamancer | 2008-04-25 01:59:23 +0000 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: Added option to change size of center icon border.  It's under Frame > Advanced.

------------------------------------------------------------------------
r759 | pastamancer | 2008-04-25 01:09:47 +0000 (Fri, 25 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: Added check for libraries that displays a dialog box if any are missing

------------------------------------------------------------------------
r756 | pastamancer | 2008-04-24 17:34:39 +0000 (Thu, 24 Apr 2008) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid:
* GridFrame:
  - The center icon indicator can now accept a color-table as a texture
  - The center icon indicator uses the alpha channel from color again.

------------------------------------------------------------------------
r753 | pastamancer | 2008-04-23 22:43:32 +0000 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Added border to center icon indicator.
------------------------------------------------------------------------
r749 | kunda | 2008-04-23 09:31:16 +0000 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/libs

Grid: fix externals
------------------------------------------------------------------------
r748 | phanx | 2008-04-22 23:44:56 +0000 (Tue, 22 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: Upgrade to LibSharedMedia-3.0.
------------------------------------------------------------------------
r744 | jerry | 2008-04-18 12:55:03 +0000 (Fri, 18 Apr 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid:
_ Remove duplicate code in :CreateFrames().
_ Only setup initial-width and initial-height when creating the frame.

------------------------------------------------------------------------
r743 | jerry | 2008-04-18 11:52:36 +0000 (Fri, 18 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: GridFrame instance is not the Grid Unit frame.

------------------------------------------------------------------------
r742 | jerry | 2008-04-18 06:55:05 +0000 (Fri, 18 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: fix security bug with GridFrameClass:SetWidth/Height

------------------------------------------------------------------------
r733 | phanx | 2008-04-16 11:25:33 +0000 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatus.lua

Grid: ...and remove unneeded extra line in GridStatus.lua (should be done now!)
------------------------------------------------------------------------
r732 | phanx | 2008-04-16 11:22:58 +0000 (Wed, 16 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/embeds.xml

Grid: fixed errant digit in embeds.xml
------------------------------------------------------------------------
r731 | phanx | 2008-04-16 10:47:59 +0000 (Wed, 16 Apr 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid:
- Use LibBabble-Class-3.0 instead of Babble-Class-2.2
- Use LibGratuity-3.0 instead of Gratuity-2.0
- Fix toc to OptDep SharedMedia instead of SharedMedia-2.0
------------------------------------------------------------------------
r730 | sayclub | 2008-04-16 05:25:07 +0000 (Wed, 16 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r729 | scorpion | 2008-04-16 04:29:06 +0000 (Wed, 16 Apr 2008) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: 
- Added "Hide minimap icon" to locale
- Updated zhTW localization


------------------------------------------------------------------------
r722 | pastamancer | 2008-04-14 19:56:52 +0000 (Mon, 14 Apr 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatus.lua

Grid:
- GridStatus: fixed status de-bouncing when text is nil

------------------------------------------------------------------------
r721 | phanx | 2008-04-14 19:35:43 +0000 (Mon, 14 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: Add LibSharedMedia-2.0 to externals and embeds.xml so embedded users actually get the font/texture options.
------------------------------------------------------------------------
r719 | pastamancer | 2008-04-13 14:46:00 +0000 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- GridStatusAuras: re-added BabbleSpell because it's used to get the icon for missing buffs.

------------------------------------------------------------------------
r713 | pastamancer | 2008-04-11 00:25:34 +0000 (Fri, 11 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: sometimes the layout is nil, not just an empty table.

------------------------------------------------------------------------
r712 | pastamancer | 2008-04-10 23:36:14 +0000 (Thu, 10 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: Don't try to load a raid layout if it doesn't have any groups.

------------------------------------------------------------------------
r708 | pastamancer | 2008-04-10 03:26:25 +0000 (Thu, 10 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: removed junk from beginning of GridLayout.lua

------------------------------------------------------------------------
r704 | pastamancer | 2008-04-10 02:07:11 +0000 (Thu, 10 Apr 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- fixed typo in GridStatusHealth
- Grid should now show both party and raid when relogging while in-combat.

------------------------------------------------------------------------
r699 | pastamancer | 2008-04-07 23:32:03 +0000 (Mon, 07 Apr 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- GridStatusHealth: unit_health provides the same text as unit_healthDeficit.

------------------------------------------------------------------------
r698 | jerry | 2008-04-07 23:11:25 +0000 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid: Final changes to remove InCombatLockdown() possible errors.
------------------------------------------------------------------------
r697 | pastamancer | 2008-04-07 22:13:40 +0000 (Mon, 07 Apr 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- GridStatusHealth: fixed UpdateAllUnits.

------------------------------------------------------------------------
r696 | jerry | 2008-04-07 17:19:35 +0000 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: revert r68467, the problem wasn't there. It was me being dumb.
------------------------------------------------------------------------
r695 | jerry | 2008-04-07 17:09:26 +0000 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: frames need to inherit from SecureUnitButtonTemplate
------------------------------------------------------------------------
r694 | pastamancer | 2008-04-07 17:07:46 +0000 (Mon, 07 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: fix left-clicking to target I hope.

------------------------------------------------------------------------
r693 | jerry | 2008-04-07 16:05:54 +0000 (Mon, 07 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   D /tmp/trunk/Grid/GridFrame.xml
   M /tmp/trunk/Grid/GridLayout.lua

Grid: Use correct frame initialization method.
------------------------------------------------------------------------
r692 | pastamancer | 2008-04-07 03:35:56 +0000 (Mon, 07 Apr 2008) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- Change debug frame to ChatFrame1.
- Use GetSpellInfo instead of Babble-Spell.
- GridLayout: start work on party group revamp.

------------------------------------------------------------------------
r673 | pastamancer | 2008-03-28 01:17:13 +0000 (Fri, 28 Mar 2008) | 6 lines
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid:
- GridStatusRange: added a special-case for when only one range is enabled,
     this should bring things back to the same CPU usage as before multiple
     ranges were allowed.
- GridStatusHealth: watch UNIT_AURA too for Dead/Ghost transitions.

------------------------------------------------------------------------
r651 | pastamancer | 2008-03-16 21:01:04 +0000 (Sun, 16 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: optimized range checking a bit.
------------------------------------------------------------------------
r649 | pastamancer | 2008-03-14 01:38:33 +0000 (Fri, 14 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: typo
------------------------------------------------------------------------
r648 | pastamancer | 2008-03-14 01:29:46 +0000 (Fri, 14 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: handle profile changing better.
------------------------------------------------------------------------
r647 | pastamancer | 2008-03-12 22:09:28 +0000 (Wed, 12 Mar 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: forgot to initialize check_ranges, oops!

------------------------------------------------------------------------
r646 | pastamancer | 2008-03-12 20:52:33 +0000 (Wed, 12 Mar 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: Hopefully fix intermittent problem with ranges to check not being initialized.

------------------------------------------------------------------------
r621 | pastamancer | 2008-03-03 23:55:36 +0000 (Mon, 03 Mar 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-frFR.lua

Grid: frFR update.

------------------------------------------------------------------------
r620 | ulic | 2008-03-03 20:53:50 +0000 (Mon, 03 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Added a missing , per Thorgard's request
------------------------------------------------------------------------
r619 | pastamancer | 2008-03-03 19:26:42 +0000 (Mon, 03 Mar 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: update default statusmap with new range statuses.

------------------------------------------------------------------------
r618 | yleaf | 2008-03-03 11:27:39 +0000 (Mon, 03 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: update zhCN locale
------------------------------------------------------------------------
r617 | kunda | 2008-03-03 10:50:21 +0000 (Mon, 03 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE update
------------------------------------------------------------------------
r616 | helium | 2008-03-03 09:48:37 +0000 (Mon, 03 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: updated zhTW localization
------------------------------------------------------------------------
r615 | sayclub | 2008-03-03 08:35:34 +0000 (Mon, 03 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: koKR Update
------------------------------------------------------------------------
r614 | pastamancer | 2008-03-03 08:00:08 +0000 (Mon, 03 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: revamped range checking to allow for multiple ranges and hopefully protect users who have melee and healers using the same profile.
------------------------------------------------------------------------
r583 | jerry | 2008-02-20 07:52:21 +0000 (Wed, 20 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: fix GridStatusRange so that the settings is not reset if the range iterator did not find the requested range value.

------------------------------------------------------------------------
r559 | helium | 2008-02-13 10:19:16 +0000 (Wed, 13 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: updated zhTW localization
------------------------------------------------------------------------
r558 | pastamancer | 2008-02-12 21:28:33 +0000 (Tue, 12 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-frFR.lua

Grid: frFR update from idispatch

------------------------------------------------------------------------
r557 | jerry | 2008-02-12 17:16:53 +0000 (Tue, 12 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: remove workaround for 2.1 bug
------------------------------------------------------------------------
r556 | rabbit | 2008-02-12 11:24:32 +0000 (Tue, 12 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: GridStatusHeals: Don't load the module at all without healcomm.
------------------------------------------------------------------------
r555 | rabbit | 2008-02-12 11:18:32 +0000 (Tue, 12 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: GridStatusHeals:
 * Make HealComm optional + cleanup.
------------------------------------------------------------------------
r554 | yleaf | 2008-02-12 09:55:01 +0000 (Tue, 12 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: up date zhCN locale
------------------------------------------------------------------------
r553 | scorpion | 2008-02-12 03:14:30 +0000 (Tue, 12 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid:
- update zhTW
------------------------------------------------------------------------
r551 | pastamancer | 2008-02-12 01:51:15 +0000 (Tue, 12 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: finish converting Babble-Spell from 2.2 to 3.0.

------------------------------------------------------------------------
r549 | pastamancer | 2008-02-11 21:47:33 +0000 (Mon, 11 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid:
* GridStatusHeals: fixed typo that was causing heals on cross-realm units to disappear.

------------------------------------------------------------------------
r548 | pastamancer | 2008-02-11 18:56:53 +0000 (Mon, 11 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid:
* GridStatusHeals: it's not that health deficit has no 'k', but that heal amount has no '+'.

------------------------------------------------------------------------
r547 | pastamancer | 2008-02-11 18:35:14 +0000 (Mon, 11 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid:
* GridRange: initialize default ranges earlier to prevent potential nil error.

------------------------------------------------------------------------
r546 | pastamancer | 2008-02-11 18:18:51 +0000 (Mon, 11 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid:
* GridStatusHeals: removed 'k' from heal amount text to be consistent with health deficit text.

------------------------------------------------------------------------
r544 | kunda | 2008-02-11 06:24:46 +0000 (Mon, 11 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE update
------------------------------------------------------------------------
r543 | sayclub | 2008-02-11 05:43:51 +0000 (Mon, 11 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r542 | pastamancer | 2008-02-11 05:35:51 +0000 (Mon, 11 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayoutLayouts.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: Added layouts: By Group 15 w/Pets, By Group 5, By Group 5 w/Pets

------------------------------------------------------------------------
r541 | sayclub | 2008-02-11 05:07:42 +0000 (Mon, 11 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r540 | pastamancer | 2008-02-11 04:46:31 +0000 (Mon, 11 Feb 2008) | 6 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid:
* Updated toc for 2.4
* Removed Babble-Spell-2.0.  Using BS-3.0 since HealComm needs it.
* GridStatus: RegisterStatus in the module prototype takes an additional arg to set the order of the menu item.
* GridStatusAuras: cleaned up menu

------------------------------------------------------------------------
r539 | sayclub | 2008-02-11 03:36:40 +0000 (Mon, 11 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR Update
------------------------------------------------------------------------
r538 | pastamancer | 2008-02-11 02:41:51 +0000 (Mon, 11 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: merged Julith's HealComm and Healing Bar changes from branches.
------------------------------------------------------------------------
r518 | yleaf | 2008-02-05 12:29:56 +0000 (Tue, 05 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: Fix zhCN locale(voice chat has been added today)
------------------------------------------------------------------------
r517 | jerry | 2008-02-05 10:58:28 +0000 (Tue, 05 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: theorical (or is it rhetorical ?) bugfix

------------------------------------------------------------------------
r514 | yleaf | 2008-02-05 03:30:54 +0000 (Tue, 05 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: update zhCN locale
------------------------------------------------------------------------
r498 | ammo | 2008-01-31 19:32:44 +0000 (Thu, 31 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/embeds.xml

Grid: fix banzai ref

------------------------------------------------------------------------
r496 | rabbit | 2008-01-31 09:42:33 +0000 (Thu, 31 Jan 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: Update to LibBanzai-2.0.
------------------------------------------------------------------------
r494 | sayclub | 2008-01-30 07:41:59 +0000 (Wed, 30 Jan 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: - koKR Update
------------------------------------------------------------------------
r489 | scorpion | 2008-01-29 09:58:26 +0000 (Tue, 29 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid:
- zhTW Update
------------------------------------------------------------------------
r488 | jerry | 2008-01-29 07:30:35 +0000 (Tue, 29 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: put back the (corrected) fix for attributes. The bug still occurs.

------------------------------------------------------------------------
r487 | rabbit | 2008-01-28 23:37:04 +0000 (Mon, 28 Jan 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: Don't depend on UTFLib/CastCommLib, people who run disembedded can delete these libraries now if they don't want to use them.
------------------------------------------------------------------------
r486 | trasher | 2008-01-28 23:34:51 +0000 (Mon, 28 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-frFR.lua

Grid:
- frFr update
------------------------------------------------------------------------
r471 | jerry | 2008-01-24 10:50:42 +0000 (Thu, 24 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatus.lua

Grid: bugfix class color overwritten at each login.

------------------------------------------------------------------------
r468 | jerry | 2008-01-21 13:35:37 +0000 (Mon, 21 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: remove an old workaround for a SecureButton bug. It seems to cause problem with Clique, even if I don't understand how.

------------------------------------------------------------------------
r466 | jerry | 2008-01-21 08:14:37 +0000 (Mon, 21 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: add test for charmed units to GridStatusRange.

------------------------------------------------------------------------
r456 | jerry | 2008-01-18 13:19:32 +0000 (Fri, 18 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: bugfix, GetUnitRange() may return nil

------------------------------------------------------------------------
r455 | kunda | 2008-01-18 10:59:15 +0000 (Fri, 18 Jan 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE update
------------------------------------------------------------------------
r454 | jerry | 2008-01-18 08:09:38 +0000 (Fri, 18 Jan 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: bugfix, when the target is dead, IsSpellInRange() fails for all healing spells

------------------------------------------------------------------------
r452 | sayclub | 2008-01-18 00:22:18 +0000 (Fri, 18 Jan 2008) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: - koKR Update
------------------------------------------------------------------------
r450 | jerry | 2008-01-17 10:58:59 +0000 (Thu, 17 Jan 2008) | 18 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLayoutLayouts.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-frFR.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua
   M /tmp/trunk/Grid/GridLocale-zhCN.lua
   M /tmp/trunk/Grid/GridLocale-zhTW.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusName.lua
   M /tmp/trunk/Grid/GridStatusRange.lua
   M /tmp/trunk/Grid/GridStatusVoiceComm.lua

Grid: merge Pet for Grid branch into mailine.
_ Add support for Pet units into Grid.
_ Better and faster GridRange module.
_ Added unit color selection to Grid core.
_ GridStatusRange allows to select the range to check,
  also allows faster updates thanks to the optimisations in GridRange.
_ Support Hunter Feign Death ability in GridStatusHealth.
_ Added detection of abolish abilities in GridStatusAuras.
_ Updated frFR locale.

Note:
_ Due to a bug in the World of Warcraft client and a limitation of Roster-2.1,
  sometimes a pet frame may appear as a black square. The reason behind this is
  that when a pet leave your area of interests, the client lose informations
  about it. One of this information lost is the name of the unit, which is
  required by Roster-2.1 to correctly register the unit.


------------------------------------------------------------------------
r431 | shag | 2007-12-22 15:50:53 +0000 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid:
-- Bugfix: font size not updated on profile change
------------------------------------------------------------------------
r411 | mokhtar | 2007-12-08 12:36:19 +0000 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid:
- Merged GridLayout.lua with Jerry's PetForGrid branch to correct positioning errors
------------------------------------------------------------------------
r403 | funkydude | 2007-11-23 18:56:41 +0000 (Fri, 23 Nov 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

.trunk: Bartender3 / Grid / CML: Don't set global _
------------------------------------------------------------------------
r388 | pastamancer | 2007-11-17 22:54:30 +0000 (Sat, 17 Nov 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: GridLayout - reset layoutGroup before applying attributes when loading layouts.
------------------------------------------------------------------------
r383 | funkydude | 2007-11-16 12:08:13 +0000 (Fri, 16 Nov 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/embeds.xml

Grid: fix embeds
------------------------------------------------------------------------
r382 | funkydude | 2007-11-16 11:58:32 +0000 (Fri, 16 Nov 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: swap to LibSharedMedia-2.0
------------------------------------------------------------------------
r377 | funkydude | 2007-11-13 17:19:46 +0000 (Tue, 13 Nov 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

.trunk: Bump toc for various addons and libraries working on the PTR
------------------------------------------------------------------------
r347 | helium | 2007-11-01 09:34:44 +0000 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid:
- remove used ProximityLib in toc
------------------------------------------------------------------------
r345 | pettigrow | 2007-10-29 16:16:37 +0000 (Mon, 29 Oct 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-frFR.lua

Grid: frFR Update
------------------------------------------------------------------------
r336 | funkydude | 2007-10-24 23:20:36 +0000 (Wed, 24 Oct 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: remove tablet since its unused
------------------------------------------------------------------------
r333 | sayclub | 2007-10-23 22:34:52 +0000 (Tue, 23 Oct 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
koKR typo fix
------------------------------------------------------------------------
r322 | sayclub | 2007-10-16 09:05:32 +0000 (Tue, 16 Oct 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- koKR typo fix
------------------------------------------------------------------------
r321 | helium | 2007-10-16 08:27:30 +0000 (Tue, 16 Oct 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: updated zhTW localization
------------------------------------------------------------------------
r301 | jerry | 2007-10-02 07:58:46 +0000 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: GridStatusHealth, Register UNIT_MAXHEALTH as well.

------------------------------------------------------------------------
r300 | sayclub | 2007-10-01 13:57:24 +0000 (Mon, 01 Oct 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- Updated localization koKR
------------------------------------------------------------------------
r299 | pastamancer | 2007-10-01 13:33:02 +0000 (Mon, 01 Oct 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   A /tmp/trunk/Grid/GridStatusVoiceComm.lua

Grid: Added voice chat status module from Halgrimm.
------------------------------------------------------------------------
r296 | pastamancer | 2007-09-25 23:40:26 +0000 (Tue, 25 Sep 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: fix tooltip based on FrameXML diff.

------------------------------------------------------------------------
r295 | funkydude | 2007-09-25 16:20:41 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

.trunk: various toc updates of ptr working addons
------------------------------------------------------------------------
r294 | kunda | 2007-09-25 00:59:29 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: deDE fix
------------------------------------------------------------------------
r288 | helium | 2007-09-10 11:06:43 +0000 (Mon, 10 Sep 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridCore.lua
   A /tmp/trunk/Grid/GridLocale-zhTW.lua

Grid: added zhTW localization
------------------------------------------------------------------------
r272 | sayclub | 2007-08-13 06:09:44 +0000 (Mon, 13 Aug 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- Fixed localization koKR
------------------------------------------------------------------------
r271 | sayclub | 2007-08-08 09:23:05 +0000 (Wed, 08 Aug 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: update koKR locale
------------------------------------------------------------------------
r269 | pastamancer | 2007-08-07 06:36:54 +0000 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridStatus.lua

Grid:
- GridLayout: clear all layout attributes when resetting a layout
- GridStatus: local'd a few things
------------------------------------------------------------------------
r258 | samuelcup | 2007-07-21 09:41:14 +0000 (Sat, 21 Jul 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: Updated zhCN translation
Deleted ["Low Mana"] in line 186 since it was duplicate with line 182.
------------------------------------------------------------------------
r257 | jerry | 2007-07-16 09:28:53 +0000 (Mon, 16 Jul 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: use localised defaut values

------------------------------------------------------------------------
r251 | jerry | 2007-07-13 10:39:14 +0000 (Fri, 13 Jul 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: missing a comma there.

------------------------------------------------------------------------
r250 | jerry | 2007-07-13 10:05:08 +0000 (Fri, 13 Jul 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: update deDE locale

------------------------------------------------------------------------
r246 | sayclub | 2007-07-11 23:47:04 +0000 (Wed, 11 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: koKR Update
------------------------------------------------------------------------
r245 | Leialyn | 2007-07-11 18:27:51 +0000 (Wed, 11 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: added clamped to screen option
------------------------------------------------------------------------
r241 | jerry | 2007-07-10 07:59:58 +0000 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: fix typo

------------------------------------------------------------------------
r240 | candykiss | 2007-07-09 10:59:58 +0000 (Mon, 09 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: zhCN updated
------------------------------------------------------------------------
r239 | sayclub | 2007-07-08 23:11:05 +0000 (Sun, 08 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: koKR Update
------------------------------------------------------------------------
r238 | Leialyn | 2007-07-08 10:08:29 +0000 (Sun, 08 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: bugfix
------------------------------------------------------------------------
r237 | Leialyn | 2007-07-07 11:10:18 +0000 (Sat, 07 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: added option to allow independent text and frame positioning
------------------------------------------------------------------------
r236 | sayclub | 2007-07-06 23:02:00 +0000 (Fri, 06 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: koKR Update
------------------------------------------------------------------------
r235 | Leialyn | 2007-07-06 16:14:34 +0000 (Fri, 06 Jul 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: added optional support for SharedMedia
------------------------------------------------------------------------
r234 | pastamancer | 2007-06-29 18:18:19 +0000 (Fri, 29 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
StatusHealth - remove death cache.

------------------------------------------------------------------------
r233 | pastamancer | 2007-06-29 12:40:10 +0000 (Fri, 29 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
StatusHealth - improved death detection.

------------------------------------------------------------------------
r232 | candykiss | 2007-06-28 18:08:41 +0000 (Thu, 28 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: fixed zhCN translation
------------------------------------------------------------------------
r231 | sayclub | 2007-06-28 14:57:03 +0000 (Thu, 28 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: Updated translation koKR
------------------------------------------------------------------------
r230 | pastamancer | 2007-06-28 14:39:10 +0000 (Thu, 28 Jun 2007) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridLayoutLayouts.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/embeds.xml
   M /tmp/trunk/Grid/libs

Grid: 
Core - Added '/grid config' which displays a waterfall menu.
Layout - make sure the second column in the 'by group 25 w/tanks' layout stays empty.

------------------------------------------------------------------------
r229 | samuelcup | 2007-06-28 01:58:32 +0000 (Thu, 28 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: zhCN translation updated by lostcup
------------------------------------------------------------------------
r228 | sayclub | 2007-06-27 23:19:23 +0000 (Wed, 27 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: Updated translation koKR
------------------------------------------------------------------------
r227 | pastamancer | 2007-06-27 22:08:12 +0000 (Wed, 27 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayoutLayouts.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid:
Layouts - Added 'By group 25 w/tanks' which uses the MT/MA info in the blizzard raid window.

------------------------------------------------------------------------
r226 | sayclub | 2007-06-26 23:23:32 +0000 (Tue, 26 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: Updated translation koKR
------------------------------------------------------------------------
r225 | pastamancer | 2007-06-26 23:20:34 +0000 (Tue, 26 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid:
Frame - typo.

------------------------------------------------------------------------
r224 | pastamancer | 2007-06-26 23:18:21 +0000 (Tue, 26 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
Auras - Ghost isn't in BabbleSpell :(

------------------------------------------------------------------------
r223 | pastamancer | 2007-06-26 22:45:08 +0000 (Tue, 26 Jun 2007) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
Frame - Added 'Bar color' indicator.  Enable it in the advanced options.
Auras - Added 'Ghost'.

------------------------------------------------------------------------
r222 | rabbit | 2007-06-26 15:44:14 +0000 (Tue, 26 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: Bugfix.
------------------------------------------------------------------------
r221 | pastamancer | 2007-06-26 15:14:42 +0000 (Tue, 26 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid:
Range - Using IsSpellInRange doesn't work for dead players.  Reschedule spellbook scanning for when the player is alive.

------------------------------------------------------------------------
r220 | pastamancer | 2007-06-24 23:27:01 +0000 (Sun, 24 Jun 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: 
Auras - don't clear auras on death
Layout - attempt to workaround raid header lockups
------------------------------------------------------------------------
r219 | funkydude | 2007-06-21 05:03:42 +0000 (Thu, 21 Jun 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/embeds.xml

Grid: use embeds.xml
------------------------------------------------------------------------
r218 | pastamancer | 2007-06-13 16:26:52 +0000 (Wed, 13 Jun 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: removed email from the toc.

------------------------------------------------------------------------
r217 | pastamancer | 2007-06-12 15:47:46 +0000 (Tue, 12 Jun 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: Hmm, how'd I miss that table.getn call.

------------------------------------------------------------------------
r210 | pastamancer | 2007-05-14 17:24:47 +0000 (Mon, 14 May 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: Update toc for 2.1

------------------------------------------------------------------------
r203 | sayclub | 2007-04-05 23:53:02 +0000 (Thu, 05 Apr 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: Updated locale koKR
------------------------------------------------------------------------
r202 | kaybe | 2007-04-05 23:17:48 +0000 (Thu, 05 Apr 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: Updated locale deDE
------------------------------------------------------------------------
r201 | pastamancer | 2007-04-04 19:02:10 +0000 (Wed, 04 Apr 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
* GridStatusAuras - changed buff name -> status regexp to be more friendly to multibyte charsets.

------------------------------------------------------------------------
r195 | sayclub | 2007-03-09 01:00:52 +0000 (Fri, 09 Mar 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid: 
- Update locale koKR
------------------------------------------------------------------------
r194 | pastamancer | 2007-03-07 08:44:15 +0000 (Wed, 07 Mar 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid:
* GridStatusHeals: added option to ignore heals cast by the player.
------------------------------------------------------------------------
r193 | funkydude | 2007-03-07 03:44:44 +0000 (Wed, 07 Mar 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid
   M /tmp/trunk/Grid/Grid.toc

Grid: remove space in toc, properly convert to utf-8
------------------------------------------------------------------------
r192 | pastamancer | 2007-03-06 21:18:43 +0000 (Tue, 06 Mar 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: Converted Notes-zhCN line to UTF8.

------------------------------------------------------------------------
r191 | pastamancer | 2007-03-04 20:38:07 +0000 (Sun, 04 Mar 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid:
* GridStatusHeals: add support for binding heal
------------------------------------------------------------------------
r190 | pastamancer | 2007-03-04 09:35:57 +0000 (Sun, 04 Mar 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
* GridStatusAuras: ignore disabled missing buff notifications when clearing auras.
------------------------------------------------------------------------
r189 | sayclub | 2007-02-26 23:56:09 +0000 (Mon, 26 Feb 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid:
- GridStatusAuras: Update locale koKR
------------------------------------------------------------------------
r188 | pastamancer | 2007-02-24 23:07:24 +0000 (Sat, 24 Feb 2007) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-frFR.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua
   M /tmp/trunk/Grid/GridLocale-zhCN.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- GridStatusAuras: buffs now have an opton to "Show if missing"
------------------------------------------------------------------------
r187 | pastamancer | 2007-02-06 10:47:51 +0000 (Tue, 06 Feb 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: rescan spell ranges on CHARACTER_POINTS_CHANGED.
------------------------------------------------------------------------
r182 | rabbit | 2007-02-02 00:33:19 +0000 (Fri, 02 Feb 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: Add SEEA OptDep.
------------------------------------------------------------------------
r177 | pastamancer | 2007-01-25 05:07:27 +0000 (Thu, 25 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: update all auras in OnEnable.
------------------------------------------------------------------------
r170 | kergoth | 2007-01-23 23:43:23 +0000 (Tue, 23 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridFrame.xml
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLayoutLayouts.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua
   M /tmp/trunk/Grid/GridLocale-zhCN.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusName.lua
   M /tmp/trunk/Grid/GridStatusRange.lua
   M /tmp/trunk/Grid/GridStatusTarget.lua
   M /tmp/trunk/GridLayoutForHealers/GridLayoutForHealers.lua
   M /tmp/trunk/GridSideIndicators/GridSideIndicators.lua
   M /tmp/trunk/GridSideIndicators/GridSideIndicatorsLocale-enUS.lua
   M /tmp/trunk/GridSideIndicators/GridSideIndicatorsLocale-koKR.lua
   M /tmp/trunk/GridStatusHealer/GridStatusHealer.lua
   M /tmp/trunk/GridStatusHealer/Locale-enUS.lua
   M /tmp/trunk/GridStatusHealer/Locale-koKR.lua
   M /tmp/trunk/GridStatusHotStack/GridStatusHotStack.lua
   M /tmp/trunk/GridStatusHots/GridStatusHots.lua

.Line ending fixups part 2: trunk/ (script ended prematurely).
------------------------------------------------------------------------
r164 | pastamancer | 2007-01-15 23:48:15 +0000 (Mon, 15 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridFrame.xml

Grid: default left click action must always be target, blargh.
------------------------------------------------------------------------
r161 | pastamancer | 2007-01-10 06:55:02 +0000 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua

Grid: Updated toc for 2.0.3, reload layout after changing frame width/height.
------------------------------------------------------------------------
r155 | pastamancer | 2007-01-08 06:24:28 +0000 (Mon, 08 Jan 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid:
- if frame click action is set to nil, set it to target and print a debug message instead of throwing an error.
- place party before show()
------------------------------------------------------------------------
r152 | pastamancer | 2007-01-07 08:42:22 +0000 (Sun, 07 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: here's a crazy idea, let's place the frame before we show it instead of afterwards.
------------------------------------------------------------------------
r151 | pastamancer | 2007-01-06 07:28:22 +0000 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: check inCombat on P_E_W
------------------------------------------------------------------------
r150 | pastamancer | 2007-01-06 07:04:35 +0000 (Sat, 06 Jan 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid:
- handle BG -> solo in addition to BG -> BG
- informed GridLayout about the existence of battlegrounds
------------------------------------------------------------------------
r149 | pastamancer | 2007-01-06 06:20:52 +0000 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid: use InCombatLockdown for disabling menus
------------------------------------------------------------------------
r148 | pastamancer | 2007-01-06 03:54:39 +0000 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: fixed group transitions, I hope.
------------------------------------------------------------------------
r147 | pastamancer | 2007-01-06 03:34:06 +0000 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: improved roster update debugging
------------------------------------------------------------------------
r146 | pastamancer | 2007-01-06 01:36:20 +0000 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: finished Healcomm -> CastCommLib conversion.
------------------------------------------------------------------------
r145 | fenlis | 2007-01-05 18:11:33 +0000 (Fri, 05 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid : fixed 'targetCache' nil value error
------------------------------------------------------------------------
r144 | pastamancer | 2007-01-05 14:04:26 +0000 (Fri, 05 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/libs

Grid: Healcomm -> CastCommLib
------------------------------------------------------------------------
r143 | pastamancer | 2007-01-05 03:22:55 +0000 (Fri, 05 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: throw an error if anything tries to set attribute "type1" to nil
------------------------------------------------------------------------
r142 | pastamancer | 2007-01-04 09:57:32 +0000 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: explicitly exclude Mend Pet and Health Funnel from the range check.
------------------------------------------------------------------------
r141 | sayclub | 2007-01-04 08:25:10 +0000 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Update locals koKR
------------------------------------------------------------------------
r140 | pastamancer | 2007-01-04 07:59:58 +0000 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: add FD status to GridFrame's statusmap.
------------------------------------------------------------------------
r139 | pastamancer | 2007-01-04 07:54:40 +0000 (Thu, 04 Jan 2007) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- fixed FD detection for real this time
- Added "Feign Death warning" status
- completed integration of Healcomm
- Thanks to Codayus for helping test all of the above
------------------------------------------------------------------------
r138 | pastamancer | 2007-01-04 05:44:30 +0000 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/libs
   D /tmp/trunk/Grid/utf8.lua

Grid:
- grabs utf8 from externals
- updated to use Healcomm
------------------------------------------------------------------------
r136 | pastamancer | 2007-01-02 23:21:16 +0000 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/utf8.lua

Grid: utf8 library gets keywords, comments, and a license
------------------------------------------------------------------------
r135 | pastamancer | 2007-01-02 13:45:46 +0000 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: trigger a layout reload when changing from one BG to another.  Untested though, who knows what this will break.
------------------------------------------------------------------------
r134 | pastamancer | 2007-01-01 20:04:28 +0000 (Mon, 01 Jan 2007) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid:
- Added preliminary support for detecting when the player enters/leaves a battleground.
- Added more debugging code to GridFrame.
------------------------------------------------------------------------
r129 | pastamancer | 2006-12-31 03:32:19 +0000 (Sun, 31 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: trigger 'Grid_RangesUpdated' when GridRange updates its list of ranges.  Also added GridRange:AvailableRangeIterator()
------------------------------------------------------------------------
r128 | pastamancer | 2006-12-30 09:31:15 +0000 (Sat, 30 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: fixed GridStatusAuras menu ordering.
------------------------------------------------------------------------
r127 | pastamancer | 2006-12-30 09:03:11 +0000 (Sat, 30 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: remove center text 2 indicator from the menu if it's disabled.
------------------------------------------------------------------------
r126 | pastamancer | 2006-12-30 00:48:24 +0000 (Sat, 30 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid: reworked the core -> layout interaction.
------------------------------------------------------------------------
r125 | pastamancer | 2006-12-29 14:53:06 +0000 (Fri, 29 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/utf8.lua

Grid: added utf8upper, utf8lower, (upper and lower won't work without the utf8data.lua file that I'm not adding to svn) and utf8reverse to the utf8 library and updated GridCore to better handle switching from group to raid.
------------------------------------------------------------------------
r124 | sayclub | 2006-12-29 10:50:59 +0000 (Fri, 29 Dec 2006) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Converted GridLocale-koKR.lua to a real UTF-8 file



------------------------------------------------------------------------
r123 | sayclub | 2006-12-29 10:48:54 +0000 (Fri, 29 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Update locals koKR
------------------------------------------------------------------------
r122 | pastamancer | 2006-12-29 09:44:18 +0000 (Fri, 29 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   A /tmp/trunk/Grid/utf8.lua

Grid: added UTF-8 library, increased maximum text length to 20.
------------------------------------------------------------------------
r120 | pastamancer | 2006-12-28 10:32:21 +0000 (Thu, 28 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: use Babble-Spell for Feign Death check.
------------------------------------------------------------------------
r119 | pastamancer | 2006-12-28 07:29:07 +0000 (Thu, 28 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: reload layout on party/not-party changes in addition to raid/not-raid changes.
------------------------------------------------------------------------
r117 | sayclub | 2006-12-27 10:57:31 +0000 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Update locals koKR
------------------------------------------------------------------------
r115 | pastamancer | 2006-12-23 10:56:56 +0000 (Sat, 23 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: let's try health updates without buckets
------------------------------------------------------------------------
r114 | kaybe | 2006-12-21 07:31:49 +0000 (Thu, 21 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: Update locals deDE
------------------------------------------------------------------------
r113 | sayclub | 2006-12-19 10:08:00 +0000 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusName.lua
   M /tmp/trunk/Grid/GridStatusRange.lua
   M /tmp/trunk/Grid/GridStatusTarget.lua

Grid - Update locals koKR
------------------------------------------------------------------------
r111 | pastamancer | 2006-12-18 21:46:58 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: string.find -> string.match
------------------------------------------------------------------------
r109 | pastamancer | 2006-12-18 09:06:06 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: split layout updates into reloads and size changes.  SendAddonMessage for "BATTLEGROUND" in addition to "RAID" in GridStatusHeals.
------------------------------------------------------------------------
r108 | pastamancer | 2006-12-18 04:16:46 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: need to add a way to detect when switching from party -> raid
------------------------------------------------------------------------
r107 | pastamancer | 2006-12-18 03:39:56 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: typo
------------------------------------------------------------------------
r106 | pastamancer | 2006-12-18 02:20:18 +0000 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridLayout.lua

Grid: changed the way groups are placed.  Should fix groups being stacked ontop of each other when logging in in-combat.
------------------------------------------------------------------------
r105 | toadkiller | 2006-12-16 12:34:48 +0000 (Sat, 16 Dec 2006) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid
-Added Regrowth Aura
------------------------------------------------------------------------
r104 | sayclub | 2006-12-16 05:22:22 +0000 (Sat, 16 Dec 2006) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridLocale-koKR.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid - Update locals koKR

------------------------------------------------------------------------
r103 | roartindon | 2006-12-16 02:16:15 +0000 (Sat, 16 Dec 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- Reverted health update event

------------------------------------------------------------------------
r102 | roartindon | 2006-12-15 22:54:13 +0000 (Fri, 15 Dec 2006) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusName.lua
   M /tmp/trunk/Grid/GridStatusRange.lua
   M /tmp/trunk/Grid/libs

Grid:
- Updated to Roster-2.1
- Updated to Banzai-1.1

------------------------------------------------------------------------
r101 | sayclub | 2006-12-15 10:45:38 +0000 (Fri, 15 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Update koKR translation.
------------------------------------------------------------------------
r100 | sayclub | 2006-12-14 08:20:54 +0000 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Update koKR translation.
------------------------------------------------------------------------
r99 | pastamancer | 2006-12-14 06:01:13 +0000 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-frFR.lua
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: Updated strings in translations.
------------------------------------------------------------------------
r98 | sayclub | 2006-12-14 04:21:37 +0000 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/GridLocale-koKR.lua

Grid - Added koKR translation.
------------------------------------------------------------------------
r97 | rabbit | 2006-12-14 01:08:27 +0000 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: GridStatusAuras: Syntax love.
------------------------------------------------------------------------
r96 | pastamancer | 2006-12-13 23:02:18 +0000 (Wed, 13 Dec 2006) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- Added "X-Do-Not-Use-Email-For-Reporting-Bugs-Or-Asking-For-Help: yes, emphatically" header to toc.
- Scan unit auras when unit joins raid/party.
- made a few changes to help with localization ("foo " .. "bar" -> string.format("foo %s", "bar") )
------------------------------------------------------------------------
r95 | pastamancer | 2006-12-13 01:18:05 +0000 (Wed, 13 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: can't resize layout frame while in-combat.
------------------------------------------------------------------------
r94 | pastamancer | 2006-12-11 02:53:21 +0000 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: set svn:keywords
------------------------------------------------------------------------
r93 | pastamancer | 2006-12-10 22:11:41 +0000 (Sun, 10 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua

Grid: set Grid.inCombat properly, update advanced frame options on profile change.
------------------------------------------------------------------------
r92 | pastamancer | 2006-12-10 19:26:09 +0000 (Sun, 10 Dec 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridStatus.lua

Grid:
- update Grid.inCombat on P_E_W.
- remove status cache for units leaving the raid/party
------------------------------------------------------------------------
r90 | pastamancer | 2006-12-08 18:36:39 +0000 (Fri, 08 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: removed misplaced check for pet unit.
------------------------------------------------------------------------
r89 | TheKarn | 2006-12-08 03:52:46 +0000 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid:
- Rebuild Zip
------------------------------------------------------------------------
r88 | TheKarn | 2006-12-08 01:27:48 +0000 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid:
- Error when inverting health-bar.
------------------------------------------------------------------------
r87 | pastamancer | 2006-12-07 11:41:11 +0000 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: added option to disable "Center Text 2" indicator (defaults to disabled for that classic Grid look).
------------------------------------------------------------------------
r86 | pastamancer | 2006-12-06 10:39:27 +0000 (Wed, 06 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: updated Chinese locale based on input from chen ellen.
------------------------------------------------------------------------
r85 | pastamancer | 2006-12-06 08:52:43 +0000 (Wed, 06 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: removed 1.12 clique support.
------------------------------------------------------------------------
r84 | pastamancer | 2006-12-05 08:53:21 +0000 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua

Grid: try harder to ignore pets.
------------------------------------------------------------------------
r83 | pastamancer | 2006-12-05 04:20:18 +0000 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: resize text properly when changing frame size.
------------------------------------------------------------------------
r82 | pastamancer | 2006-12-05 02:10:30 +0000 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: s/this/self/ for frame handlers.
------------------------------------------------------------------------
r81 | pastamancer | 2006-12-04 19:28:48 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: ignore pets in GridStatusHealth.
------------------------------------------------------------------------
r80 | pastamancer | 2006-12-04 13:17:28 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: allow click-through of layout background when layout position is locked.
------------------------------------------------------------------------
r79 | pastamancer | 2006-12-04 12:49:28 +0000 (Mon, 04 Dec 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- oops, icon indicator should be working again
- better detection of aura textures.  SE-Aura needs a rewrite for 2.0.
------------------------------------------------------------------------
r78 | pastamancer | 2006-12-04 11:30:26 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: when picking a status to display, ignore statuses that can't be displayed on the chosen indicator.
------------------------------------------------------------------------
r77 | pastamancer | 2006-12-04 11:00:44 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: hide text indicators if text value is nil.
------------------------------------------------------------------------
r76 | pastamancer | 2006-12-04 10:32:45 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: added corner size, font size, orientation, and icon size options.
------------------------------------------------------------------------
r75 | pastamancer | 2006-12-04 08:42:47 +0000 (Mon, 04 Dec 2006) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid:
- Added second text indicator and options to set height/width of unit frames.
- Auto-switches to horizontal style if height < 20.
- Feel free to start throwing panties on the stage or name your firstborn after me.
------------------------------------------------------------------------
r74 | pastamancer | 2006-12-04 07:12:47 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/libs

Grid: Goodbye Compost and ProximityLib
------------------------------------------------------------------------
r73 | pastamancer | 2006-12-04 07:10:55 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridFrame.xml
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusRange.lua
   D /tmp/trunk/Grid/TBC

Grid: Goodbye 1.12
------------------------------------------------------------------------
r72 | pastamancer | 2006-12-04 05:38:59 +0000 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: ignore auras on invalid units.
------------------------------------------------------------------------
r71 | pastamancer | 2006-12-03 04:34:51 +0000 (Sun, 03 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: fixed typo.
------------------------------------------------------------------------
r70 | flyflame | 2006-12-01 12:40:48 +0000 (Fri, 01 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: - update zhCN locales
------------------------------------------------------------------------
r69 | pastamancer | 2006-12-01 06:35:50 +0000 (Fri, 01 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: off by one in indicator config menu.
------------------------------------------------------------------------
r68 | pastamancer | 2006-12-01 06:25:05 +0000 (Fri, 01 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: let indicators choose the order they appear in the config menu.
------------------------------------------------------------------------
r67 | pastamancer | 2006-12-01 06:19:57 +0000 (Fri, 01 Dec 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: fixed bug caused when UpdateOptionsMenu was refactored.
------------------------------------------------------------------------
r66 | pastamancer | 2006-12-01 01:26:17 +0000 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridRange.lua

Grid:
- GridRange: fixed a debug statement that was trying to coerce a potentially nil value into a number.
- GridFrame: the indicator list is now part of the frameClass.
------------------------------------------------------------------------
r65 | pastamancer | 2006-11-29 21:21:10 +0000 (Wed, 29 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/GridLocale-frFR.lua
   M /tmp/trunk/Grid/GridRange.lua

Grid:
- Added frFR translation.
- Range check spellbook scanning now ignores spells without a range on the tooltip (Battle Shout)
------------------------------------------------------------------------
r64 | kaybe | 2006-11-29 21:14:15 +0000 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: updated german translation
------------------------------------------------------------------------
r63 | pastamancer | 2006-11-20 23:41:07 +0000 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- GridLayout: use header config function to set frame height/width in combat.
- GridStatusAuras: ignore attempts to add a (de)buff that already has settings
------------------------------------------------------------------------
r62 | pastamancer | 2006-11-19 23:13:46 +0000 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: fixed a lua5.0 quirk when creating class filter menus.
------------------------------------------------------------------------
r61 | pastamancer | 2006-11-19 10:56:25 +0000 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/libs

Grid: added localization for aura class filter, added Babble-Class.
------------------------------------------------------------------------
r60 | pastamancer | 2006-11-19 10:17:56 +0000 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: added class filtering for auras.
------------------------------------------------------------------------
r59 | kaybe | 2006-11-18 21:12:21 +0000 (Sat, 18 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: updated deDE locale
------------------------------------------------------------------------
r58 | pastamancer | 2006-11-18 03:29:18 +0000 (Sat, 18 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: only use Compost in 1.12.
------------------------------------------------------------------------
r57 | pastamancer | 2006-11-17 04:58:26 +0000 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid: search and replace gone wild has been tamed.
------------------------------------------------------------------------
r56 | maia | 2006-11-17 03:49:02 +0000 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: "show party in raid" now off per default
------------------------------------------------------------------------
r55 | maia | 2006-11-17 03:43:17 +0000 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusTarget.lua

Grid: disabling default range check for all status modules but the range module
------------------------------------------------------------------------
r54 | pastamancer | 2006-11-17 00:02:56 +0000 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: use lua51 check instead of buildinfo.
------------------------------------------------------------------------
r53 | kaybe | 2006-11-15 01:14:25 +0000 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: updated deDE locale, forgotten some translations
------------------------------------------------------------------------
r52 | kaybe | 2006-11-15 00:20:40 +0000 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: updated deDE locale
------------------------------------------------------------------------
r51 | flyflame | 2006-11-14 21:59:14 +0000 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/GridLocale-zhCN.lua

Grid: added zhCN localization
------------------------------------------------------------------------
r50 | pastamancer | 2006-11-14 17:35:30 +0000 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusName.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid: Disable debugging by default in GridStatusRange.  Change class color option in GridStatusName to be consistent with GridStatusHealth.
------------------------------------------------------------------------
r49 | pastamancer | 2006-11-14 07:41:38 +0000 (Tue, 14 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusName.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid:
- Cleaned-up/reorganized configuration menus and localizations.  Hilfe bitte mit deDE!
- Moved text length option from GridStatusName to GridFrame.
------------------------------------------------------------------------
r48 | pastamancer | 2006-11-14 04:53:25 +0000 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: Replaced "Grow From" with "Group Anchor".  Organized and cleaned up Layout menu too.
------------------------------------------------------------------------
r47 | pastamancer | 2006-11-14 00:33:02 +0000 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: typo!
------------------------------------------------------------------------
r46 | pastamancer | 2006-11-13 23:55:19 +0000 (Mon, 13 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: it helps if I actually check the settings for growth direction!
------------------------------------------------------------------------
r45 | pastamancer | 2006-11-13 22:28:42 +0000 (Mon, 13 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: what the hell, frame scaling is different in TBC than in 1.12!
------------------------------------------------------------------------
r44 | pastamancer | 2006-11-13 14:38:20 +0000 (Mon, 13 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: handle frame and ui scale when saving layout position.
------------------------------------------------------------------------
r43 | pastamancer | 2006-11-13 06:16:19 +0000 (Mon, 13 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: some people might want a default for the layout anchor point.
------------------------------------------------------------------------
r42 | pastamancer | 2006-11-13 06:11:36 +0000 (Mon, 13 Nov 2006) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- Fix tooltip hiding.
- Debuff range is now 28.
- Added growth direction and anchor point options to GridLayout.
- If there's any bugs, it's because I've been drinking.
------------------------------------------------------------------------
r41 | pastamancer | 2006-11-12 15:23:31 +0000 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHeals.lua

Grid: Don't use AceComm in TBC.
------------------------------------------------------------------------
r40 | pastamancer | 2006-11-12 12:06:05 +0000 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua

Grid: set icon alpha only if we have a texture too.
------------------------------------------------------------------------
r39 | pastamancer | 2006-11-12 06:43:52 +0000 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridRange.lua

Grid: check shortest range first.
------------------------------------------------------------------------
r38 | pastamancer | 2006-11-12 01:01:32 +0000 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua

Grid: Why was 100 the max value for frame spacing?  I do not know.  25 is a much better max value for it.
------------------------------------------------------------------------
r37 | pastamancer | 2006-11-11 08:33:39 +0000 (Sat, 11 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua

Grid:
- Hide the center icon indicator properly.
- Check for loss of debuff type when a named debuff is lost.
------------------------------------------------------------------------
r36 | pastamancer | 2006-11-11 06:52:39 +0000 (Sat, 11 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   A /tmp/trunk/Grid/GridRange.lua
   M /tmp/trunk/Grid/GridStatusRange.lua

Grid:
- Added GridRange, a TBC/1.12 range checking module.
- GridFrame and GridStatusRange now use GridRange instead of ProximityLib.
------------------------------------------------------------------------
r35 | pastamancer | 2006-11-10 15:20:58 +0000 (Fri, 10 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: fixed X-RelSite-WoWI in toc.
------------------------------------------------------------------------
r34 | pastamancer | 2006-11-10 02:06:49 +0000 (Fri, 10 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: Added X-RelSite-WoWI to toc.
------------------------------------------------------------------------
r33 | pastamancer | 2006-11-09 22:49:44 +0000 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: Updated deDE locale (thanks kaybe)
------------------------------------------------------------------------
r32 | pastamancer | 2006-11-09 08:36:32 +0000 (Thu, 09 Nov 2006) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusRange.lua
   M /tmp/trunk/Grid/GridStatusTarget.lua

Grid:
- Status modules now check their settings for an icon where appropriate.
- Fixed dead unit check in GridFrame's OnEnter.

------------------------------------------------------------------------
r31 | pastamancer | 2006-11-09 06:50:56 +0000 (Thu, 09 Nov 2006) | 5 lines
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   A /tmp/trunk/Grid/GridStatusRange.lua

Grid:
- Added neXter's GridStatusRange module.
- Added 'frameAlpha' indicator.
- Show tooltips 'ooc' option shows tooltips for dead units while in combat.

------------------------------------------------------------------------
r30 | pastamancer | 2006-11-09 02:11:54 +0000 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: added tooltips: "always", "never", "ooc".
------------------------------------------------------------------------
r29 | pastamancer | 2006-11-09 01:18:07 +0000 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLocale-deDE.lua

Grid: Still need deDE translations for GridStatusTarget.
------------------------------------------------------------------------
r28 | pastamancer | 2006-11-07 10:32:04 +0000 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridStatus.lua

Grid: Give modules a db in OnInitialize().
------------------------------------------------------------------------
r27 | pastamancer | 2006-11-07 07:21:47 +0000 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua
   A /tmp/trunk/Grid/GridStatusTarget.lua

Grid: Added noha's GridStatusTarget.
------------------------------------------------------------------------
r26 | pastamancer | 2006-11-07 06:49:25 +0000 (Tue, 07 Nov 2006) | 4 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid:
- Handle units going offline better. (thanks eternally777)
- Better defaults for alert_offline status.
- Reset bar color when resetting bar indicator.
------------------------------------------------------------------------
r25 | pastamancer | 2006-11-07 01:26:04 +0000 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/TBC/InsecureTemplates.lua

Grid:  Apparently GetRaidRosterInfo can return nil for a unit that GetNumRaidMembers says should exist
------------------------------------------------------------------------
r24 | pastamancer | 2006-11-06 11:05:24 +0000 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridLocale-deDE.lua
   M /tmp/trunk/Grid/GridLocale-enUS.lua

Grid: Added option to show Grid when in raid but not when grouped.
------------------------------------------------------------------------
r23 | pastamancer | 2006-11-06 06:38:27 +0000 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: pass the return value of Clique:OnClick back to GridFrame_OnClick.
------------------------------------------------------------------------
r22 | pastamancer | 2006-11-06 06:21:23 +0000 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusName.lua

Grid: fixed a problem where GridStatusName tried to update a unit that didn't exist in RosterLib.
------------------------------------------------------------------------
r21 | rabbit | 2006-11-06 04:47:10 +0000 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/Grid.toc

Grid: Fix OptionalDeps and X-Embeds.
------------------------------------------------------------------------
r20 | pastamancer | 2006-11-06 03:18:28 +0000 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridStatusHealth.lua

Grid: threshold was listed twice in the defaults for unit_healthDeficit.
------------------------------------------------------------------------
r19 | pastamancer | 2006-11-05 10:42:35 +0000 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: If modules are going to mix-in AceDB, make them register their own defaults.
------------------------------------------------------------------------
r18 | pastamancer | 2006-11-05 10:00:37 +0000 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua

Grid: stole the ADDON_LOADED code from bigwigs so that Grid addons can use X-GridModule/X-GridStatusModule instead of having to manually register themselves.
------------------------------------------------------------------------
r17 | pastamancer | 2006-11-04 11:44:28 +0000 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /tmp/trunk/Grid/GridCore.lua
   M /tmp/trunk/Grid/GridFrame.lua
   M /tmp/trunk/Grid/GridLayout.lua
   M /tmp/trunk/Grid/GridStatus.lua
   M /tmp/trunk/Grid/GridStatusAggro.lua
   M /tmp/trunk/Grid/GridStatusAuras.lua
   M /tmp/trunk/Grid/GridStatusHeals.lua
   M /tmp/trunk/Grid/GridStatusHealth.lua
   M /tmp/trunk/Grid/GridStatusMana.lua
   M /tmp/trunk/Grid/GridStatusName.lua

Grid:
- Better support for switching profiles without reloading the UI.
- Status modules use self.core instead of the global GridStatus.
------------------------------------------------------------------------
r16 | pastamancer | 2006-11-04 04:58:46 +0000 (Sat, 04 Nov 2006) | 1 line
Changed paths:
   M /tmp/trunk/Grid/libs

Grid: Set externals.
------------------------------------------------------------------------
r15 | pastamancer | 2006-11-04 04:57:10 +0000 (Sat, 04 Nov 2006) | 1 line
Changed paths:
   A /tmp/trunk/Grid
   A /tmp/trunk/Grid/Grid.toc
   A /tmp/trunk/Grid/GridCore.lua
   A /tmp/trunk/Grid/GridFrame.lua
   A /tmp/trunk/Grid/GridFrame.xml
   A /tmp/trunk/Grid/GridLayout.lua
   A /tmp/trunk/Grid/GridLayoutLayouts.lua
   A /tmp/trunk/Grid/GridLocale-deDE.lua
   A /tmp/trunk/Grid/GridLocale-enUS.lua
   A /tmp/trunk/Grid/GridStatus.lua
   A /tmp/trunk/Grid/GridStatusAggro.lua
   A /tmp/trunk/Grid/GridStatusAuras.lua
   A /tmp/trunk/Grid/GridStatusHeals.lua
   A /tmp/trunk/Grid/GridStatusHealth.lua
   A /tmp/trunk/Grid/GridStatusMana.lua
   A /tmp/trunk/Grid/GridStatusName.lua
   A /tmp/trunk/Grid/TBC
   A /tmp/trunk/Grid/TBC/Compat.lua
   A /tmp/trunk/Grid/TBC/InsecureTemplates.lua
   A /tmp/trunk/Grid/TBC/InsecureTemplates.xml
   A /tmp/trunk/Grid/TBC/UnitWatch.lua
   A /tmp/trunk/Grid/gradient32x32.tga
   A /tmp/trunk/Grid/icon.tga
   A /tmp/trunk/Grid/libs
   A /tmp/trunk/Grid/white16x16.tga

Grid: Import from Grid SVN.
------------------------------------------------------------------------
